You are not logged in.

#1 2005-01-30 19:52:03

STiAT
Member
From: Vienna, Austria
Registered: 2004-12-23
Posts: 603

Problem creating Packages (QT).

Well, i've installed ati-drivers. Now, it happens that ATI installs /usr/X11R6/lib/libGL.so.1

I once had to remove the file to be able ot install ati-drivers, and actually didn't know how many problems this will cause.

Now, when i compile any qt-package, it depends on ati-drivers, since QT seems to need this file.

My question is now: Which package originally owns this file? Why can't i ever get any information about which file is owned by which package? (pacman -o?).

I'd be glad about any help. It seems as if it's not mesa (since i havn't got mesa installed). I re-installed xorg, this also wasn't the originator of the file.

Any suggestions?

// STi


Ability is nothing without opportunity.

Offline

#2 2005-01-30 22:01:01

Snowman
Developer/Forum Fellow
From: Montreal, Canada
Registered: 2004-08-20
Posts: 5,212

Re: Problem creating Packages (QT).

#pacman -Qo  /usr/X11R6/lib/libGL.so.1
/usr/X11R6/lib/libGL.so.1 is owned by xorg 11R6.8.1-1

Offline

#3 2005-01-31 10:01:33

lanrat
Member
From: Poland
Registered: 2003-10-28
Posts: 1,274

Re: Problem creating Packages (QT).

Offline

#4 2005-02-01 16:15:23

JGC
Developer
Registered: 2003-12-03
Posts: 1,660

Re: Problem creating Packages (QT).

Just make it depend on x-server, that one includes the opengl. If it's a QT app: don't mind adding it, QT already has it as dependency and namcap doesn't support virtual packages further down the dependency tree.

Offline

Board footer

Powered by FluxBB